> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all direct debit payment requests

> Returns a list of payment requests for a direct debit.



## OpenAPI

````yaml /autogenerated/openapi/budgets.openapi.json get /budgets/{budgetId}/direct-debits/{directDebitId}/payment-requests
openapi: 3.1.0
info:
  title: Budgets API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /budgets/{budgetId}/direct-debits/{directDebitId}/payment-requests:
    get:
      tags:
        - Direct Debits
      summary: List all direct debit payment requests
      description: Returns a list of payment requests for a direct debit.
      operationId: findAllDirectDebitPayments
      parameters:
        - name: budgetId
          in: path
          required: true
          schema:
            type:
              - string
            format: uuid
            maxLength: 36
            description: The ID of the budget to work with.
            example: 775596ae-2624-40af-a9dc-9756110a4a03
        - name: directDebitId
          in: path
          required: true
          schema:
            description: The ID of the direct debit to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a03
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: limit
          in: query
          schema:
            description: The maximum number of results to return.
            default: 100
            type:
              - integer
            minimum: 1
            maximum: 1000
            example: 200
        - name: offset
          in: query
          schema:
            description: The number of items to skip before returning results.
            default: 0
            type:
              - integer
            example: 100
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  limit:
                    description: The maximum number of results to return.
                    default: 100
                    type:
                      - integer
                    minimum: 1
                    maximum: 1000
                    example: 200
                  offset:
                    description: The number of items to skip before returning results.
                    default: 0
                    type:
                      - integer
                    example: 100
                  count:
                    type:
                      - integer
                    description: >-
                      The total amount of records matching the querying when
                      "limit" is ignored.
                    example: 67
                  rows:
                    type:
                      - array
                    items:
                      type:
                        - object
                      properties:
                        id:
                          type:
                            - string
                          format: uuid
                          description: >-
                            The unique identifier of the direct debit payment
                            request.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        budgetId:
                          type:
                            - string
                          format: uuid
                          maxLength: 36
                          description: The ID of the budget to work with.
                          example: 775596ae-2624-40af-a9dc-9756110a4a03
                        reference:
                          type:
                            - string
                          description: >-
                            The direct debit payment request reference, which
                            may be set by the originator.
                          example: fre4r5tg
                        status:
                          type:
                            - string
                          enum:
                            - PENDING
                            - PAID
                            - FAILED
                          description: The status of the direct debit payment request.
                          example: PENDING
                        amount:
                          type:
                            - string
                          description: The amount of the direct debit payment request.
                          example: '100'
                        currency:
                          type:
                            - string
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - ANG
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BGN
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHF
                            - CLP
                            - CNY
                            - COP
                            - CRC
                            - CUC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GGP
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HRK
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LTL
                            - LVL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SEK
                            - SGD
                            - SHN
                            - SLL
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - UYU
                            - UZS
                            - VND
                            - VUV
                            - WST
                            - XAF
                            - XAG
                            - XAU
                            - XCD
                            - XOF
                            - XPD
                            - XPF
                            - XPT
                            - YER
                            - ZAR
                            - ZMK
                            - ZMW
                            - ZWD
                          example: USD
                        originator:
                          type:
                            - object
                          properties:
                            id:
                              type:
                                - string
                              description: The unique identifier of the originator.
                              example: '123456'
                            accountName:
                              type:
                                - string
                              description: The account name of the originator.
                              example: Netflix Inc
                            bankIdentifier:
                              description: >-
                                Identifier of the bank, could be BIC or sort
                                code
                              type:
                                - string
                              maxLength: 20
                            accountIdentifier:
                              description: >-
                                Identifier of the account, could be iban or
                                account number
                              type:
                                - string
                              maxLength: 34
                          required:
                            - id
                            - accountName
                            - bankIdentifier
                            - accountIdentifier
                        createdAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was initially created. ISO
                            8601 format.
                        processedAt:
                          type:
                            - string
                          format: date-time
                          description: >-
                            The date the Resource was processed at. ISO 8601
                            format.
                      required:
                        - id
                        - budgetId
                        - reference
                        - status
                        - amount
                        - currency
                        - originator
                        - createdAt
                        - processedAt
                    description: List of direct debit payment requests.
                required:
                  - count
                  - rows
                example:
                  limit: 200
                  offset: 100
                  count: 67
                  rows:
                    - id: 775596ae-2624-40af-a9dc-9756110a4a03
                      budgetId: 775596ae-2624-40af-a9dc-9756110a4a03
                      reference: fre4r5tg
                      status: PENDING
                      amount: '100'
                      currency: USD
                      originator:
                        id: '123456'
                        accountName: Netflix Inc
                        bankIdentifier: string
                        accountIdentifier: string
                      createdAt: '2019-08-24T14:15:22Z'
                      processedAt: '2019-08-24T14:15:22Z'
      security:
        - CommonAuth:
            - budgets-direct-debits:read:any
            - budgets-direct-debits:read:own
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/budgets/{budgetId}/direct-debits/{directDebitId}/payment-requests?accountId={{accountId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````